> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/36.-mutacija-prideti-kelis-comments-prie-pasirinktu-notes.md).

# 36. Mutacija: pridėti kelis "Comments" prie pasirinktų "Notes"

Ši mutacija leidžia pridėti kelis komentarus prie pasirinktos pastabos.

{% hint style="success" %}
Maksimalus išsaugomų komentarų skaičius yra 25.
{% endhint %}

* Komentaras gali būti susietas su lauku per jo unikalų identifikatorių `fieldUuid` ir su pastaba per `noteUuid`.
* Komentaro turinį galima pateikti naudojant `tekstas` atributą. Jei turinys turi būti kelių eilučių, `tekstas` atributas turėtų turėti eilutę su naujosios eilutės simboliais `\\n` kad būtų atskirtos eilutės. Pavyzdžiui: `"Pirmoji eilutė yra čia\\nAntroji eilutė yra čia.\\nTrečioji eilutė yra čia."`.
* Galima nustatyti apibrėžtą su komentaru susietą datą ir laiką naudojant `sukūrimoData` atributą ISO8601 formatu.

Pavyzdinį užklausą rasite žemiau:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija BatchAddNoteComments {
  addNoteComments(input:{
    komentarai: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        tekstas: "4-asis komentaras iš kelių.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        tekstas: "5-asis komentaras iš kelių.\\nKomentaro antra eilutė.",
        sukurimoData: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    sukūrimoData
    updatedDate
    tekstas
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/36.-mutacija-prideti-kelis-comments-prie-pasirinktu-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
